import com.kym.admin.AdminApplication;
import com.kym.service.admin.ActivityService;
import com.kym.service.admin.impl.ActivityServiceImpl;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;


@SpringBootTest(classes = AdminApplication.class)
public class SpringTestCase {

    @Resource
    private ActivityService activityService;

    @Test
    public void testActivityAsync() throws InterruptedException {
        activityService.handleRechargeActivity(100001,1);
        Thread.sleep(210*1000);
    }
}
